/*
 * /////////////////////////////////////////////////////////////////////////////////////////////////
 * // Autor		:	faceH0r
 * // Date		:	17.03.06
 * // Name		:	Odd program
 * // Notice	:	Only wave files without archiving
 * /////////////////////////////////////////////////////////////////////////////////////////////////
 */

#include	<windows.h>

#include	<stdio.h>
#include	<conio.h>
#include	<fstream.h>

int main()
{
	ifstream	ifsInput;
	ofstream	ofsOutput;

	char		chByte		[ 5 ];
	char		chFNames	[ 256 ];
	char		chFNameo	[ 256 ];
	
	long		lSize;

	int			iNumber = 0;

	printf ( "CopyRight ( C ) faceH0r 17.03.06\n" );
	printf ( "Enter name of file -> " );
	gets   ( chFNames );

	ifsInput.open( chFNames, ios::in | ios::binary );
	ifsInput.seekg( 0, ios::end );

	long		lMainSize = ifsInput.tellg();
	printf( "File size %i bytes\n", lMainSize );

	ifsInput.seekg( 0, ios::beg );

	while( !ifsInput.eof() )
	{
		memset( chByte, 0, 5 );

		ifsInput.read( ( char * )&chByte, 4 );

		long		lCur = ifsInput.tellg();
		int			iPerc = ( ( lCur * 100.0f / lMainSize ) ); 

		printf( "\rProcess in %i percent and %i files found", iPerc, iNumber );

		if( !strcmp( chByte, "RIFF" ) )
		{
			iNumber ++;

			sprintf ( chFNameo, "%i", iNumber );
			strcat  ( chFNameo, chFNames );
			strcat  ( chFNameo, ".wav" );

			ofsOutput.open( chFNameo, ios::out | ios::binary );
			ofsOutput.write( "RIFF", 4 );

			ifsInput.read   ( ( char * )&lSize, 4 );
			ofsOutput.write ( ( char * )&lSize, 4 );

			for( long i = 0; i < lSize; i ++ )
			{
				ifsInput.read   ( &chByte[ 0 ], 1 );
				ofsOutput.write ( &chByte[ 0 ], 1 );
			}

			ofsOutput.close();
		}
		else
		{
			ifsInput.seekg( ifsInput.tellg() - 3 );
		}
	}

	ifsInput.close();

	printf( "\nIt's complete..." );
	getch();

	return	0;
}